import { StyleSheet } from 'react-native'
import { windowHeight, windowWidth } from '../../../../theme/appConstant'
import appColors from '../../../../theme/appColors'

const styles = StyleSheet.create({
  map: {
    flex: 1,
  },
  vehicle_map_icon: {
    width: 40,
    height: 40,
    resizeMode: 'contain',
  },
  extraSection: {
    flex: 0.1,
  },
  greenSection: {
    position: 'absolute',
    bottom: windowHeight(0),
    width: '100%',
    flexDirection: 'column',
    justifyContent: 'space-between',
    backgroundColor: 'red',
    borderTopEndRadius: windowWidth(3),
    borderTopStartRadius: windowWidth(3),
    paddingHorizontal: windowWidth(1),
    paddingVertical: windowHeight(2),
    paddingBottom: windowHeight(3),
  },
  additionalSection: {
    marginVertical: windowHeight(2),
    alignItems: 'center',
    marginHorizontal: windowWidth(4),
    borderRadius: windowWidth(5),
    borderWidth: windowHeight(0.1),
    marginBottom: windowHeight(3),
    paddingHorizontal: windowWidth(4),
    paddingVertical: windowHeight(2),
  },
  backButton: {
    position: 'absolute',
  },
  line: {
    backgroundColor: appColors.primary,
    height: windowHeight(0.6),
    width: windowWidth(11),
    marginTop: windowHeight(0.2),
    alignSelf: 'center',
    borderRadius: windowWidth(5),
    marginBottom: windowHeight(0.5),
  },
})
export default styles
